# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           nanodist-maven-plugin
Summary:        NanoDist Maven Plugin
Url:            http://nanocontainer.codehaus.org/
Version:        1.0.1
Release:        2jpp
Epoch:          0
License:        BSD -style
Group:          Development/Libraries/Java
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Source0:        nanodist-maven-plugin-1.0.1.tar.gz
# svn export https://svn.codehaus.org/picocontainer/java/maven-plugins/tags/NANODIST-1_0_1/

Source1:        nanodist-maven-plugin-parent-project.xml

Patch0:         nanodist-maven-plugin-project_xml.patch

BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  maven >= 0:1.1
Requires:       maven >= 0:1.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Maven Plugin to create NanoContainer Distributions

%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
cp %{SOURCE1} parent-project.xml
%patch0 -b .sav

%build
maven -Dmaven.repo.remote=file:/usr/share/maven/repository \
      -Dmaven.home.local=$(pwd)/.maven \
      plugin:plugin

%install
rm -rf $RPM_BUILD_ROOT

# maven-plugins
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven/plugins

install -m 644 target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_datadir}/maven/plugins/%{name}-%{version}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven-plugins
(cd $RPM_BUILD_ROOT%{_javadir}/maven-plugins
ln -sf %{_datadir}/maven/plugins/%{name}-%{version}.jar %{name}.jar
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/maven-plugins/*.jar
%{_datadir}/maven/plugins/*.jar


%changelog
* Fri Jul 13 2007 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-2jpp
- Install plugin to /usr/share/maven/plugins
- Make versionless symlink in /usr/share/java/maven-plugins
- Make Vendor, Distribution based on macro

* Wed Sep 27 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-1jpp
- First release

